import { AxiosError } from 'axios';
import SlackHook, { SlackMessage } from 'winston-slack-webhook-transport';
import { LOG_LEVEL } from '../../../logger/logger.types';
type InfoData = Error | AxiosError | unknown | unknown[];
type Info = {
    context: string | undefined;
    message: string | undefined;
    level: keyof typeof LOG_LEVEL;
    data: InfoData | undefined;
    timestamp: string | undefined;
};
type GetMessageForSlack = {
    info: Info;
    nodeEnv: string;
    appName: string;
};
export declare const getMessageForSlack: ({ info, nodeEnv, appName }: GetMessageForSlack) => false | SlackMessage;
type SlackCreateParams = {
    nodeEnv: string;
    webhookUrl: string;
    appName: string;
};
export default class SlackTransport {
    static create({ appName, webhookUrl, nodeEnv }: SlackCreateParams): SlackHook;
}
export {};
